Package com.mckoi.database

## Class Assignment

- java.lang.Object
- - com.mckoi.database.Assignment

All Implemented Interfaces:
  `StatementTreeObject`, `java.io.Serializable`, `java.lang.Cloneable`

    public final class Assignment
    extends java.lang.Object
    implements StatementTreeObject, java.io.Serializable, java.lang.Cloneable

An assignment from a variable to an expression. For example;

       value_of = value_of * 1.10
       name = concat("CS-", name)
       description = concat("LEGACY: ", upper(number));

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`Assignment​(Variable variable, Expression expression)` Constructs the assignment.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Performs a DEEP clone of this object if it is mutable, or a deep clone of its mutable members.
`Expression` `getExpression()` Returns the Expression for this assignment.
`Variable` `getVariable()` Returns the variable for this assignment.
`void` `prepareExpressions​(ExpressionPreparer preparer)` Prepares all expressions in this statement tree object by passing the ExpressionPreparer object to the 'prepare' method of the expression.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Assignment

    public Assignment​(Variable variable,
                      Expression expression)

Constructs the assignment.

### Method Detail

#### getVariable

    public Variable getVariable()

Returns the variable for this assignment.

#### getExpression

    public Expression getExpression()

Returns the Expression for this assignment.

#### prepareExpressions

    public void prepareExpressions​(ExpressionPreparer preparer)
                            throws DatabaseException

Description copied from interface: `StatementTreeObject`
Prepares all expressions in this statement tree object by passing the ExpressionPreparer object to the 'prepare' method of the expression.

Specified by:
  `prepareExpressions` in interface `StatementTreeObject`
Throws:
  `DatabaseException`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from interface: `StatementTreeObject`
Performs a DEEP clone of this object if it is mutable, or a deep clone of its mutable members. If the object is immutable then it may return 'this'.

Specified by:
  `clone` in interface `StatementTreeObject`
Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`